/**
 * @fileOverview bs_grid is a jQuery datagrid plugin based on Twitter Bootstrap.
 *               <p>License MIT
 *               <br />Copyright Christos Pontikis <a href="http://www.pontikis.net">http://www.pontikis.net</a>
 *               <br />Project page <a href="http://www.pontikis.net/labs/bs_grid/">http://www.pontikis.net/labs/bs_grid/</a>
 *               <br />Minified using http://gpbmike.github.io/refresh-sf/
 * @version 0.9.2 (28 May 2014)
 * @author Christos Pontikis http://www.pontikis.net
 * @requires jquery >= 1.8, twitter bootstrap >= 2, bs_pagination plugin, jQuery UI sortable (optional), jui_filter_rules plugin >= 1.0.4 (optional)
 */
"use strict"; !function(e){var s = "bs_grid", t = "bs_grid_given_options", l = "bs_grid_status", i = {init:function(p){var g = this; return this.each(function(){"undefined" == typeof g.data(t) && g.data(t, e.extend(!0, {}, p)); var f = g.data(s); if ("undefined" == typeof f){var b = "3"; p.hasOwnProperty("bootstrap_version") && "2" == p.bootstrap_version && (b = "2"); var m = i.getDefaults.call(g, b); f = e.extend(!0, {}, m, p)} else f = e.extend(!0, {}, f, p); if (g.data(s, f), "undefined" == typeof g.data(l) && g.data(l, {}), f.row_primary_key)switch (f.rowSelectionMode){case"single":f.selected_ids.length > 1 && (f.selected_ids = []); break; case!1:f.selected_ids = []} else f.selected_ids = []; var h = g.attr("id"); g.removeClass().addClass(f.containerClass), g.unbind("onCellClick").bind("onCellClick", f.onCellClick), g.unbind("onRowClick").bind("onRowClick", f.onRowClick), g.unbind("onDatagridError").bind("onDatagridError", f.onDatagridError), g.unbind("onDebug").bind("onDebug", f.onDebug), g.unbind("onDisplay").bind("onDisplay", f.onDisplay); var v, w, C = a(f.tools_id_prefix, h), k = a(f.columns_list_id_prefix, h), y = "", x = a(f.sorting_list_id_prefix, h), R = "", L = a(f.sorting_radio_name_prefix, h) + "_", P = a(f.selected_rows_id_prefix, h), D = a(f.selection_list_id_prefix, h), I = a(f.table_container_id_prefix, h), O = a(f.table_id_prefix, h), T = a(f.no_results_id_prefix, h), B = a(f.filter_toggle_id_prefix, h), M = a(f.custom_html1_id_prefix, h), N = a(f.custom_html2_id_prefix, h), S = a(f.pagination_id_prefix, h), A = a(f.filter_container_id_prefix, h), j = a(f.filter_rules_id_prefix, h), H = a(f.filter_tools_id_prefix, h), G = "", E = ""; G += '<div id="' + C + '" class="' + f.toolsClass + '"></div>', G += '<div id="' + I + '" class="' + f.dataTableContainerClass + '">', G += '<table id="' + O + '" class="' + f.dataTableClass + '"></table>', G += "</div>", G += '<div id="' + T + '" class="' + f.noResultsClass + '">' + rsc_bs_dg.no_records_found + "</div>", f.customHTMLelementID1 && (G += '<div id="' + M + '"></div>'), G += '<div id="' + S + '"></div>', f.customHTMLelementID2 && (G += '<div id="' + N + '"></div>'), f.useFilters && (G += '<div id="' + A + '" class="' + f.filterContainerClass + '">', G += '<div id="' + j + '"></div>', G += '<div id="' + H + '" class="' + f.filterToolsClass + '">', G += '<button class="' + f.filterApplyBtnClass + '">' + rsc_bs_dg.filters_apply + "</button>", G += '<button class="' + f.filterResetBtnClass + '">' + rsc_bs_dg.filters_reset + "</button>", G += "</div>"), G += "</div>", g.html(G), e("#" + T).hide(); var F = e("#" + C), q = e("#" + O), V = e("#" + S); E += '<div class="btn-group pull-right">', E += '<button type="button" class="' + f.columnsListLaunchButtonClass + '" data-toggle="dropdown" title="' + rsc_bs_dg.columns + '">', E += '<span class="' + f.columnsListLaunchButtonIconClass + '"></span>', E += '<span class="caret"></span>', E += "</button>", E += '<ul id="' + k + '" class="' + f.columnsListClass + '">'; var z, Q, U = 0; for (var Y in f.columns)u(f.columns[Y]) || (U++, z = r(f.columns[Y]), Q = o(f.columns[Y])?" checked":"", y += '<li><a href="javascript:void(0);"><label class="' + f.columnsListLabelClass + '"><input type="checkbox" class="' + f.columnsListCheckClass + '"' + Q + "> " + z + "</label></a></li>"); y += '<li class="not-sortable ' + f.columnsListDividerClass + '"></li>'; var J = f.showRowNumbers?" checked":""; y += '<li class="not-sortable columns-li-padding"><label class="' + f.columnsListLabelClass + '"><input type="checkbox" class="' + f.columnsListCheckClass + '"' + J + ">&nbsp;" + rsc_bs_dg.columns_show_row_numbers + "</label></li>", y += '<li class="not-sortable ' + f.columnsListDividerClass + '"></li>', y += '<li class="not-sortable columns-li-padding"><button class="' + f.columnsListDefaultButtonClass + '">' + rsc_bs_dg.columns_default + "</button></li>", "undefined" == typeof g.data(l).default_columns_list && (g.data(l).default_columns_list = y), E += y, E += "</ul>", E += "</div>", E += '<div class="btn-group pull-right">', E += '<button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown" title="' + rsc_bs_dg.sorting + '">', E += '<span class="' + f.sortingListLaunchButtonIconClass + '"></span>', E += '<span class="caret"></span>', E += "</button>", E += '<ul id="' + x + '" class="dropdown-menu dropdown-menu-right">'; for (var Y in f.sorting){var K = c(f.sorting[Y]), W = "ascending" == f.sorting[Y].order?" checked":"", X = "descending" == f.sorting[Y].order?" checked":"", Z = "none" == f.sorting[Y].order?" checked":""; R += '<li><a href="javascript:void(0);"><label class="' + f.sortingLabelCheckboxClass + '"><input type="radio" name="' + L + Y + '"' + W + ">" + rsc_bs_dg.sort_ascending + '</label><label class="' + f.sortingLabelCheckboxClass + '"><input type="radio" name="' + L + Y + '"' + X + ">" + rsc_bs_dg.sort_descending + '</label><label class="' + f.sortingLabelCheckboxClass + '"><input type="radio" name="' + L + Y + '"' + Z + ">" + rsc_bs_dg.sort_none + '</label><span class="' + f.sortingNameClass + '">' + K + "</span></a></li>"}R += '<li class="not-sortable ' + f.columnsListDividerClass + '"></li>', R += '<li class="not-sortable columns-li-padding"><button class="' + f.columnsListDefaultButtonClass + '">' + rsc_bs_dg.sorting_default + "</button></li>", "undefined" == typeof g.data(l).default_sorting_list && (g.data(l).default_sorting_list = R), E += R, E += "</ul>", E += "</div>", !f.row_primary_key || "single" != f.rowSelectionMode && "multiple" != f.rowSelectionMode || (E += '<div class="btn-group pull-right">', E += '<button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown" title="' + rsc_bs_dg.select + '">', E += '<span class="' + f.selectButtonIconClass + '"></span>', E += '<span id="' + P + '" class="' + f.selectedRowsClass + '">' + f.selected_ids.length + "</span>", E += '<span class="caret"></span>', E += "</button>", E += '<ul id="' + D + '" class="dropdown-menu dropdown-menu-right">', "multiple" == f.rowSelectionMode && (E += '<li><a href="javascript:void(0);">' + rsc_bs_dg.select_all_in_page + "</a></li>", E += '<li><a href="javascript:void(0);">' + rsc_bs_dg.deselect_all_in_page + "</a></li>", E += '<li><a href="javascript:void(0);">' + rsc_bs_dg.select_inverse_in_page + "</a></li>", E += '<li class="not-sortable ' + f.columnsListDividerClass + '"></li>'), E += '<li><a href="javascript:void(0);">' + rsc_bs_dg.deselect_all + "</a></li>", E += "</ul>", E += "</div>"), f.useFilters && (E += '<button id="' + B + '" class="btn btn-default pull-right" title="' + rsc_bs_dg.filters + '"><span class="' + f.filterToggleButtonIconClass + '"></span></button>'), F.html(E); var $ = i.displayGrid.call(g, !1), es = e("#" + k); es.click(function(e){e.stopPropagation()}), es.off("click", "input[type=checkbox]").on("click", "input[type=checkbox]", function(){var s = e(e("#" + k + " li input[type=checkbox]")).index(this); if (U > s){var t = e("#" + k + " li").not(".not-sortable").find("input[type=checkbox]:checked").length; 1 == t?e("#" + k + " li input[type=checkbox]:checked:first").slice(0, U).attr("disabled", !0):e("#" + k + " li input[type=checkbox]").slice(0, U).removeAttr("disabled"), n(f.columns[s], e(this).is(":checked"))} else f.showRowNumbers = e(this).is(":checked"); i.displayGrid.call(g, !1)}), f.useSortableLists && U > 2 && es.sortable({items:"li:not(.not-sortable)", start:function(e, s){v = s.item.index()}, stop:function(e, s){w = s.item.index(), w !== v && (_(f.columns, v, w), i.displayGrid.call(g, !1))}}), es.off("click", "li:last button").on("click", "li:last button", function(){for (var s in g.data(t).columns)f.columns[s] = e.extend(!0, {}, g.data(t).columns[s]); var a = g.data(t).showRowNumbers; "undefined" == typeof a && (a = i.getDefaults.call(g, f.bootstrap_version).showRowNumbers), f.showRowNumbers = a, es.html(g.data(l).default_columns_list), i.displayGrid.call(g, !1)}); var ss = e("#" + x), ts = f.sorting.length; if (ss.click(function(e){e.stopPropagation()}), ss.off("click", "input[type=radio]").on("click", "input[type=radio]", function(){var s = e(e("#" + x + " li input[type=radio]")).index(this), t = Math.floor(s / 3), l = ""; switch (s % 3){case 0:l = "ascending"; break; case 1:l = "descending"; break; case 2:l = "none"}f.sorting[t].order != l && (f.sorting[t].order = l, i.displayGrid.call(g, !1))}), f.useSortableLists && ts > 2 && ss.sortable({items:"li:not(.not-sortable)", start:function(e, s){v = s.item.index()}, stop:function(e, s){w = s.item.index(), w !== v && (_(f.sorting, v, w), i.displayGrid.call(g, !1))}}), ss.off("click", "li:last button").on("click", "li:last button", function(){for (var s in g.data(t).sorting)f.sorting[s] = e.extend(!0, {}, g.data(t).sorting[s]); ss.html(g.data(l).default_sorting_list), i.displayGrid.call(g, !1)}), f.row_primary_key && ("single" == f.rowSelectionMode || "multiple" == f.rowSelectionMode)){var ls = (O + "_tr_").length; q.off("click", "tbody tr").on("click", "tbody tr", function(){var s, t = parseInt(e(this).attr("id").substr(ls)), l = i.selectedRows.call(g, "selected_index", t); l > - 1?(i.selectedRows.call(g, "remove_id", l), i.selectedRows.call(g, "mark_deselected", t), s = "deselected"):("single" == f.rowSelectionMode && (i.selectedRows.call(g, "clear_all_ids"), i.selectedRows.call(g, "mark_page_deselected")), i.selectedRows.call(g, "add_id", t), i.selectedRows.call(g, "mark_selected", t), s = "selected"), i.selectedRows.call(g, "update_counter"), g.triggerHandler("onRowClick", {row_id:t, row_status:s})}); var is = e("#" + D); is.off("click", "li").on("click", "li", function(){var s = e(this).index(); if ("single" == f.rowSelectionMode)i.selectedRows.call(g, "clear_all_ids"), i.selectedRows.call(g, "mark_page_deselected"); else if ("multiple" == f.rowSelectionMode){var t, l, a = "#" + O + " tbody tr", o = (O + "_tr_").length; switch (s){case 0:e(a).each(function(){t = parseInt(e(this).attr("id").substr(o)), l = i.selectedRows.call(g, "selected_index", t), - 1 == l && i.selectedRows.call(g, "add_id", t)}), i.selectedRows.call(g, "mark_page_selected"); break; case 1:e(a).each(function(){t = parseInt(e(this).attr("id").substr(o)), l = i.selectedRows.call(g, "selected_index", t), l > - 1 && i.selectedRows.call(g, "remove_id", l)}), i.selectedRows.call(g, "mark_page_deselected"); break; case 2:e(a).each(function(){t = parseInt(e(this).attr("id").substr(o)), l = i.selectedRows.call(g, "selected_index", t), l > - 1?i.selectedRows.call(g, "remove_id", l):i.selectedRows.call(g, "add_id", t)}), i.selectedRows.call(g, "mark_page_inversed"); break; case 4:i.selectedRows.call(g, "clear_all_ids"), i.selectedRows.call(g, "mark_page_deselected")}}i.selectedRows.call(g, "update_counter")})}if (q.off("click", "tbody tr td").on("click", "tbody tr td", function(){var s = e(this).index(), t = e(this).parent("tr").index(); g.triggerHandler("onCellClick", {col:s, row:t})}), q.off("click", "thead th").on("click", "thead th", function(){var s = e(this).index(), t = e(this).text(); if (f.showRowNumbers){if (0 == s)return!1; s--}var l = - 1, a = "", n = !1; for (var r in f.columns)if (o(f.columns[r]) && (l++, l == s)){a = f.columns[r].field, n = d(f.columns[r]); break}if (!n)return!1; if (a){var c, u = ""; for (var r in f.sorting)if (f.sorting[r].field == a){u = f.sorting[r].order; break}switch (u){case"ascending":c = "descending"; break; case"descending":c = "none"; break; case"none":c = "ascending"; break; default:c = "ascending"}f.sorting = [{sortingName:t, field:a, order:c}]; var _ = "ascending" == c?" checked":"", p = "descending" == c?" checked":"", b = "none" == c?" checked":"", m = '<li><a href="javascript:void(0);"><label class="' + f.sortingLabelCheckboxClass + '"><input type="radio" name="' + L + '0"' + _ + ">" + rsc_bs_dg.sort_ascending + '</label><label class="' + f.sortingLabelCheckboxClass + '"><input type="radio" name="' + L + '0"' + p + ">" + rsc_bs_dg.sort_descending + '</label><label class="' + f.sortingLabelCheckboxClass + '"><input type="radio" name="' + L + '0"' + b + ">" + rsc_bs_dg.sort_none + '</label><span class="' + f.sortingNameClass + '">' + t + "</span></a></li>"; m += '<li class="not-sortable ' + f.columnsListDividerClass + '"></li>', m += '<li class="not-sortable columns-li-padding"><button class="' + f.columnsListDefaultButtonClass + '">' + rsc_bs_dg.sorting_default + "</button></li>", ss.html(m), i.displayGrid.call(g, !1)}}), e.when($).then(function(s){var t = s.total_rows, l = f.paginationOptions, a = {currentPage:f.pageNum, rowsPerPage:f.rowsPerPage, maxRowsPerPage:f.maxRowsPerPage, totalPages:Math.ceil(t / f.rowsPerPage), totalRows:t, bootstrap_version:f.bootstrap_version, onChangePage:function(e, s){f.pageNum = s.currentPage, f.rowsPerPage = s.rowsPerPage, i.displayGrid.call(g, !1)}}; e.extend(l, a), V.bs_pagination(l), f.customHTMLelementID1 && e("#" + M).html(e("#" + f.customHTMLelementID1).html()), f.customHTMLelementID2 && e("#" + N).html(e("#" + f.customHTMLelementID2).html())}), f.useFilters){var as = e("#" + B), os = e("#" + A), ns = e("#" + j), rs = e("#" + H), cs = f.filterOptions, ds = {bootstrap_version:f.bootstrap_version, onValidationError:function(e, s){g.triggerHandler("onDatagridError", s)}, onSetRules:function(){}}; cs = e.extend({}, cs, ds), ns.jui_filter_rules(cs), cs.filter_rules.length > 0?os.show():os.hide(), F.off("click", "#" + B).on("click", "#" + B, function(){os.is(":visible")?(os.slideUp(), f.filterOptions.filter_rules.length > 0 && as.addClass(f.filterToggleActiveClass)):(os.slideDown(), as.removeClass(f.filterToggleActiveClass))}), rs.off("click", "button").on("click", "button", function(){var s = e(this).index(), t = ns.jui_filter_rules("getRules", 0, []); if (0 == t)return!1; switch (s){case 0:f.filterOptions.filter_rules = t, f.selected_ids = []; break; case 1:ns.jui_filter_rules("clearAllRules"), f.filterOptions.filter_rules = []}f.pageNum = 1, i.displayGrid.call(g, !0)})}})}, getVersion:function(){return"0.9.2"}, getDefaults:function(e){var s = {pageNum:1, rowsPerPage:10, maxRowsPerPage:100, row_primary_key:"", rowSelectionMode:"single", selected_ids:[], columns:[], sorting:[], paginationOptions:{containerClass:"well pagination-container", visiblePageLinks:5, showGoToPage:!0, showRowsPerPage:!0, showRowsInfo:!0, showRowsDefaultInfo:!0, disableTextSelectionInNavPane:!0}, filterOptions:{filters:[], filter_rules:[]}, useFilters:!0, showRowNumbers:!1, showSortingIndicator:!0, useSortableLists:!0, customHTMLelementID1:"", customHTMLelementID2:"", bootstrap_version:"3", containerClass:"grid_container", noResultsClass:"alert alert-warning no-records-found", toolsClass:"tools", columnsListLaunchButtonClass:"btn btn-default dropdown-toggle", columnsListLaunchButtonIconClass:"glyphicon glyphicon-th", columnsListClass:"dropdown-menu dropdown-menu-right", columnsListLabelClass:"columns-label", columnsListCheckClass:"col-checkbox", columnsListDividerClass:"divider", columnsListDefaultButtonClass:"btn btn-primary btn-xs btn-block", sortingListLaunchButtonIconClass:"glyphicon glyphicon-sort", sortingLabelCheckboxClass:"radio-inline", sortingNameClass:"sorting-name", selectButtonIconClass:"glyphicon  glyphicon-check", selectedRowsClass:"selected-rows", filterToggleButtonIconClass:"glyphicon glyphicon-filter", filterToggleActiveClass:"btn-info", sortingIndicatorAscClass:"glyphicon glyphicon-chevron-up text-muted", sortingIndicatorDescClass:"glyphicon glyphicon-chevron-down text-muted", dataTableContainerClass:"table-responsive", dataTableClass:"table table-bordered table-hover", commonThClass:"th-common", selectedTrClass:"warning", filterContainerClass:"well filters-container", filterToolsClass:"", filterApplyBtnClass:"btn btn-primary btn-sm filters-button", filterResetBtnClass:"btn btn-default btn-sm filters-button", tools_id_prefix:"tools_", columns_list_id_prefix:"columns_list_", sorting_list_id_prefix:"sorting_list_", sorting_radio_name_prefix:"sort_radio_", selected_rows_id_prefix:"selected_rows_", selection_list_id_prefix:"selection_list_", filter_toggle_id_prefix:"filter_toggle_", table_container_id_prefix:"tbl_container_", table_id_prefix:"tbl_", no_results_id_prefix:"no_res_", custom_html1_id_prefix:"custom1_", custom_html2_id_prefix:"custom2_", pagination_id_prefix:"pag_", filter_container_id_prefix:"flt_container_", filter_rules_id_prefix:"flt_rules_", filter_tools_id_prefix:"flt_tools_", debug_mode:"no", onCellClick:function(){}, onRowClick:function(){}, onDatagridError:function(){}, onDebug:function(){}, onDisplay:function(){}}; return"2" == e && (s.bootstrap_version = "2", s.columnsListLaunchButtonIconClass = "icon-th", s.sortingListLaunchButtonIconClass = "icon-resize-vertical", s.sortingLabelCheckboxClass = "radio inline", s.selectButtonIconClass = "icon-check", s.filterToggleButtonIconClass = "icon-filter", s.filterToggleActiveClass = "btn-info", s.sortingIndicatorAscClass = "icon-chevron-up muted", s.sortingIndicatorDescClass = "icon-chevron-down muted", s.dataTableContainerClass = "table-responsive", s.dataTableClass = "table table-bordered table-hover", s.filterApplyBtnClass = "btn btn-primary filters-button ", s.filterResetBtnClass = "btn btn-default filters-button"), s}, getOption:function(e){var t = this; return t.data(s)[e]}, getAllOptions:function(){var e = this; return e.data(s)}, destroy:function(){var s = this, t = s.attr("id"), l = a(i.getOption.call(s, "pagination_id_prefix"), t), o = a(i.getOption.call(s, "filter_rules_id_prefix"), t); e("#" + l).removeData(), e("#" + o).removeData(), s.removeData()}, selectedRows:function(s, t){var l = this, o = l.attr("id"), n = i.getAllOptions.call(l), r = a(i.getOption.call(l, "table_id_prefix"), o), c = i.getOption.call(l, "selectedTrClass"), d = "#" + r + " tbody tr", u = "#" + r + "_tr_"; switch (s){case"get_ids":return n.selected_ids; case"clear_all_ids":n.selected_ids = []; break; case"update_counter":var _ = a(i.getOption.call(l, "selected_rows_id_prefix"), o); e("#" + _).text(n.selected_ids.length); break; case"selected_index":return e.inArray(t, n.selected_ids); case"add_id":n.selected_ids.push(t); break; case"remove_id":n.selected_ids.splice(t, 1); break; case"mark_selected":e(u + t).addClass(c); break; case"mark_deselected":e(u + t).removeClass(c); break; case"mark_page_selected":e(d).addClass(c); break; case"mark_page_deselected":e(d).removeClass(c); break; case"mark_page_inversed":e(d).toggleClass(c)}}, setPageColClass:function(s, t, l){var o = this, n = o.attr("id"), r = "#" + a(i.getOption.call(o, "table_id_prefix"), n); "" !== t && e(r + " th").eq(s).addClass(t), "" !== l && e(r + " tr").each(function(){e(this).find("td").eq(s).addClass(l)})}, removePageColClass:function(s, t, l){var o = this, n = o.attr("id"), r = "#" + a(i.getOption.call(o, "table_id_prefix"), n); e(r + " th").eq(s).removeClass(t), e(r + " tr").each(function(){e(this).find("td").eq(s).removeClass(l)})}, displayGrid:function(s){var t, n = this, r = n.attr("id"), c = i.getAllOptions.call(n), d = a(c.table_id_prefix, r), u = e("#" + d), _ = a(c.no_results_id_prefix, r), p = e("#" + _), g = a(c.filter_rules_id_prefix, r), f = a(c.pagination_id_prefix, r), b = e("#" + f), m = e.ajax({type:"POST", url:c.ajaxFetchDataURL, data:{page_num:c.pageNum, rows_per_page:c.rowsPerPage, columns:c.columns, sorting:c.sorting, filter_rules:c.filterOptions.filter_rules, debug_mode:c.debug_mode}, dataType:"json", success:function(a){var r, _, f, m, h, v, w, C, k, y = c.columns, x = y.length; if (r = a.error, null != r && (t = "ERROR: " + r, n.html('<span style="color: red;">' + t + "</span>"), n.triggerHandler("onDatagridError", {err_code:"server_error", err_description:r}), e.error(t)), c.useFilters){var R = e("#" + g); _ = a.filter_error, null != _.error_message && (R.jui_filter_rules("markRuleAsError", _.element_rule_id, !0), R.triggerHandler("onValidationError", {err_code:"filter_validation_server_error", err_description:_.error_message}), e.error(_.error_message))}if (m = a.total_rows, h = a.page_data, v = h.length, n.data(l).total_rows = m, f = c.row_primary_key, "yes" == c.debug_mode && n.triggerHandler("onDebug", {debug_message:a.debug_message}), v > 0)for (w = 0; v > w; w++)for (k = 0; x > k; k++)C = y[k], o(C) && null == h[w][C.field] && (h[w][C.field] = ""); var L, P, D, I, O, T, B = parseInt(c.pageNum), M = parseInt(c.rowsPerPage), N = (B - 1) * M; O = "<thead>", P = f?' id="' + d + '_tr_0"':"", O += "<tr" + P + ">", c.showRowNumbers && (O += '<th class="' + c.commonThClass + '">' + rsc_bs_dg.row_index_header + "</th>"); for (D in c.columns)if (o(c.columns[D])){if (L = "", c.showSortingIndicator){var S = "none"; for (var A in c.sorting)if (c.sorting[A].field == c.columns[D].field){S = c.sorting[A].order; break}switch (S){case"ascending":L = '&nbsp;<span class="' + c.sortingIndicatorAscClass + '"></span>'; break; case"descending":L = '&nbsp;<span class="' + c.sortingIndicatorDescClass + '"></span>'; break; default:L = ""}}O += '<th class="' + c.commonThClass + '">' + c.columns[D].header + L + "</th>"}O += "</tr>", O += "</thead>", O += "<tbody>"; for (I in h){P = f?' id="' + d + "_tr_" + h[I][f] + '"':"", O += "<tr" + P + ">", c.showRowNumbers && (T = N + parseInt(I) + 1, O += "<td>" + T + "</td>"); for (D in c.columns)o(c.columns[D]) && (O += "<td>" + h[I][c.columns[D].field] + "</td>"); O += "</tr>"}O += "<tbody>", u.html(O), s && b.bs_pagination({currentPage:c.pageNum, totalPages:Math.ceil(m / c.rowsPerPage), totalRows:m}), 0 == m?(b.hide(), p.show()):(b.show(), p.hide()); var j = c.showRowNumbers?1:0, H = "", G = ""; for (D in c.columns)o(c.columns[D]) && (H = "", G = "", y[D].hasOwnProperty("headerClass") && (H = y[D].headerClass), y[D].hasOwnProperty("dataClass") && (G = y[D].dataClass), i.setPageColClass.call(n, j, H, G), j++); if (c.row_primary_key && c.selected_ids.length > 0 && ("single" == c.rowSelectionMode || "multiple" == c.rowSelectionMode)){var E, F, q = (d + "_tr_").length; e("#" + d + " tbody tr").each(function(){E = parseInt(e(this).attr("id").substr(q)), F = i.selectedRows.call(n, "selected_index", E), F > - 1 && i.selectedRows.call(n, "mark_selected", E)})}i.selectedRows.call(n, "update_counter"), n.triggerHandler("onDisplay")}}); return m}, takeSnapshot:function(){var s = this; return e.extend(!0, {}, i.getAllOptions.call(s))}, restoreSnapshot:function(e){var t = this; t.removeData(s), i.init.call(t, e)}}, a = function(e, s){return e + s}, o = function(e){var s = "visible"; return!e.hasOwnProperty(s) || e.hasOwnProperty(s) && "yes" == e[s]}, n = function(e, s){var t = "visible"; s?e.hasOwnProperty(t) && delete e[t]:e[t] = "no"}, r = function(e){return e.hasOwnProperty("header")?e.header:e.field}, c = function(e){return e.hasOwnProperty("sortingName")?e.sortingName:e.field}, d = function(e){return!e.hasOwnProperty("sortable") || e.hasOwnProperty("sortable") && "yes" == e.sortable}, u = function(e){var s = "is_function"; return e.hasOwnProperty(s) && "yes" == e[s]}, _ = function(e, s, t){var l = e[s]; e.splice(s, 1), e.splice(t, 0, l)}; e.fn.bs_grid = function(t){if (1 != this.size()){var l = "You must use this plugin (" + s + ") with a unique element (at once)"; this.html('<span style="color: red;">ERROR: ' + l + "</span>"), e.error(l)}return i[t]?i[t].apply(this, Array.prototype.slice.call(arguments, 1)):"object" != typeof t && t?void e.error("Method " + t + " does not exist on jQuery." + s):i.init.apply(this, arguments)}}(jQuery);
