/**
 * @fileOverview jui_filter_rules is a jQuery plugin, useful to create or set filter rules as JSON object and get the relevant WHERE SQL.
 *               <p>License MIT
 *               <br />Copyright 2013 - 2015 Christos Pontikis <a href="http://pontikis.net">http://pontikis.net</a>
 *               <br />Project page <a href="http://pontikis.net/labs/jui_filter_rules">http://pontikis.net/labs/jui_filter_rules</a>
 *               <br />Minified using http://gpbmike.github.io/refresh-sf/
 * @version 1.0.7 (08 Apr 2015)
 * @author Christos Pontikis http://pontikis.net
 * @requires jquery >= 1.8 (optional but highly recommended moment.js, jquery-ui, twitter bootstrap >= 2)
 */
"use strict"; !function(e){var t = "jui_filter_rules", r = "jui_filter_rules_status", i = [{type:"equal", accept_values:"yes", apply_to:["text", "number", "date"], group:"equality"}, {type:"not_equal", accept_values:"yes", apply_to:["text", "number", "date"], group:"equality"}, {type:"in", accept_values:"yes", apply_to:["text", "number", "date"], group:"multiple_choice"}, {type:"not_in", accept_values:"yes", apply_to:["text", "number", "date"], group:"multiple_choice"}, {type:"less", accept_values:"yes", apply_to:["number", "date"], group:"inequality"}, {type:"less_or_equal", accept_values:"yes", apply_to:["number", "date"], group:"inequality"}, {type:"greater", accept_values:"yes", apply_to:["number", "date"], group:"inequality"}, {type:"greater_or_equal", accept_values:"yes", apply_to:["number", "date"], group:"inequality"}, {type:"begins_with", accept_values:"yes", apply_to:["text"], group:"substring"}, {type:"not_begins_with", accept_values:"yes", apply_to:["text"], group:"substring"}, {type:"contains", accept_values:"yes", apply_to:["text"], group:"substring"}, {type:"not_contains", accept_values:"yes", apply_to:["text"], group:"substring"}, {type:"ends_with", accept_values:"yes", apply_to:["text"], group:"substring"}, {type:"not_ends_with", accept_values:"yes", apply_to:["text"], group:"substring"}, {type:"is_empty", accept_values:"no", apply_to:["text"], group:"empty_string"}, {type:"is_not_empty", accept_values:"no", apply_to:["text"], group:"empty_string"}, {type:"is_null", accept_values:"no", apply_to:["text", "number", "date"], group:"null"}, {type:"is_not_null", accept_values:"no", apply_to:["text", "number", "date"], group:"null"}], l = {init:function(i){var n = this; return this.each(function(){var a = n.data(t); if ("undefined" == typeof a){var u = !1; i.hasOwnProperty("bootstrap_version") && "3" == i.bootstrap_version && (u = "3"), i.hasOwnProperty("bootstrap_version") && "2" == i.bootstrap_version && (u = "2"); var _ = l.getDefaults.call(n, u); a = e.extend({}, _, i)} else a = e.extend({}, a, i); n.data(t, a), "undefined" == typeof n.data(r) && (n.data(r, {}), n.data(r).group_id = 0, n.data(r).rule_id = 0); var p = n.attr("id"); s(p), n.unbind("onValidationError").bind("onValidationError", a.onValidationError), n.unbind("onSetRules").bind("onSetRules", a.onSetRules); {var f, c, d, v, h, m, b, O, k, I, w, G, R, A, P, T = a.filters, E = o(a.filters_list_id_prefix, p) + "_", V = o(a.operators_container_id_prefix, p) + "_", q = o(a.operators_list_id_prefix, p) + "_", N = o(a.filter_value_container_id_prefix, p) + "_", H = o(a.group_condition_id_prefix, p) + "_", D = o(a.group_tools_id_prefix, p) + "_", S = o(a.rule_tools_id_prefix, p) + "_"; a.rulesListLiAppliedClass, a.rulesListLiErrorClass}0 == n.data(r).rule_id && n.html(T.length > 0?j(p):'<div class="' + a.noFiltersFoundClass + '">' + rsc_jui_fr.no_filters_found + "</div>"), n.addClass(a.containerClass), I = '[id^="' + D + '"]', n.off("change", I).on("change", I, function(){switch (w = D.length, G = e(this).attr("id").substr(w), A = e(this).val()){case"rule_insert_before":e(this).closest("dt").parent("dl").before(x(p)); break; case"rule_insert_after":e(this).closest("dt").parent("dl").after(x(p)); break; case"rule_insert_inside":e(this).closest("dt").next("dd:first").find("ul:first").prepend(x(p)); break; case"group_insert_before":e(this).closest("dl").before(j(p)); break; case"group_insert_after":e(this).closest("dl").after(j(p)); break; case"group_insert_inside":e(this).closest("dt").next("dd:first").find("ul:first").prepend(j(p)); break; case"group_delete":e(this).closest("dl").remove()}e(this).prop("selectedIndex", 0)}), I = '[id^="' + S + '"]', n.off("change", I).on("change", I, function(){switch (w = S.length, G = e(this).attr("id").substr(w), P = e(this).val()){case"rule_insert_before":e(this).closest("li").before(x(p)); break; case"rule_insert_after":e(this).closest("li").after(x(p)); break; case"rule_clear":c = E + G, v = V + G, h = N + G, m = e("#" + c), O = e("#" + v), k = e("#" + h), m.prop("selectedIndex", 0), O.html(""), k.html(""), n.jui_filter_rules("markRuleAsPending", e(this).closest("li").attr("id")); break; case"rule_delete":e(this).closest("li").remove(); break; case"group_insert_before":e(this).closest("li").before(j(p)); break; case"group_insert_after":e(this).closest("li").after(j(p))}e(this).prop("selectedIndex", 0)}), I = '[id^="' + H + '"]', n.off("change", I).on("change", I, function(){e(this).closest("dl").find("li").each(function(){n.jui_filter_rules("markRuleAsApplied", e(this).attr("id"), !1)})}), I = '[id^="' + E + '"]', n.off("change", I).on("change", I, function(){w = E.length, G = e(this).attr("id").substr(w), R = e(this).prop("selectedIndex") - 1, v = V + G, d = q + G, h = N + G, O = e("#" + v), k = e("#" + h), k.show(), R >= 0?(O.html(C(p, G, e(this).val())), b = e("#" + d), y(p, G, e(this).val(), b.val())):(O.html(""), k.html("")), n.jui_filter_rules("markRuleAsPending", e(this).closest("li").attr("id"))}), I = '[id^="' + q + '"]', n.off("change", I).on("change", I, function(){w = q.length, G = e(this).attr("id").substr(w), c = E + G, d = q + G, h = N + G, m = e("#" + c), b = e("#" + d), k = e("#" + h), f = g(e(this).val()), "yes" !== f.accept_values?k.hide():(k.show(), "" == k.html() && y(p, G, m.val(), b.val())), n.jui_filter_rules("markRuleAsPending", e(this).closest("li").attr("id"))}), a.filter_rules.length > 0 && L(a.filter_rules, n, p)})}, getVersion:function(){return"1.0.7"}, getDefaults:function(e){var t = {filters:[], filter_rules:[], decimal_separator:".", htmlentities:!1, bootstrap_version:!1, containerClass:"filter_rules_container", rulesGroupContainerClass:"rules_group_container", rulesGroupHeaderClass:"rules_group_header", rulesGroupBodyClass:"rules_group_body", rulesGroupConditionContainerClass:"rules_group_condition_container", rulesGroupConditionListClass:"rules_group_condition_list", rulesGroupToolsContainerClass:"rules_group_tools_container", rulesGroupToolsListClass:"rules_group_tools_list", rulesListClass:"rules_list", rulesListLiClass:"rules_list_li", rulesListLiErrorClass:"rules_list_error_li", rulesListLiAppliedClass:"rules_list_applied_li", filterContainerClass:"filter_container", filterListClass:"filter_list", operatorsListContainerClass:"operators_list_container", operatorsListClass:"operators_list", filterValueContainerClass:"filter_value_container", filterInputTextClass:"filter_input_text", filterInputNumberClass:"filter_input_number", filterInputDateClass:"filter_input_date", filterInputCheckboxClass:"filter_input_checkbox", filterInputRadioClass:"filter_input_radio", filterSelectClass:"filter_select", filterGroupListClass:"filter_group_list", filterGroupListItemHorizontalClass:"filter_group_list_item_horizontal", filterGroupListItemVerticalClass:"filter_group_list_item_vertical", ruleToolsContainerClass:"rule_tools_container", ruleToolsClass:"rule_tools_list", noFiltersFoundClass:"no_filters_found", group_dl_id_prefix:"group_", group_condition_id_prefix:"group_cond_", group_tools_id_prefix:"group_tools_", rule_li_id_prefix:"rule_", filters_list_id_prefix:"filters_list_", operators_container_id_prefix:"oper_wrap_", operators_list_id_prefix:"oper_list_", filter_value_container_id_prefix:"flt_wrap_", filter_element_id_prefix:"flt_", filter_element_name_prefix:"flt_name_", rule_tools_id_prefix:"rule_tools_", onSetRules:function(){}, onValidationError:function(){}}; return"3" == e && (t.bootstrap_version = "3", t.containerClass = "filter_rules_container", t.rulesGroupContainerClass = "rules_group_container", t.rulesGroupHeaderClass = "rules_group_header", t.rulesGroupBodyClass = "rules_group_body", t.rulesGroupConditionContainerClass = "rules_group_condition_container", t.rulesGroupConditionListClass = "form-control input-sm rules_group_condition_list", t.rulesGroupToolsContainerClass = "rules_group_tools_container", t.rulesGroupToolsListClass = "form-control input-sm rules_group_tools_list", t.rulesListClass = "rules_list", t.rulesListLiClass = "rules_list_li", t.rulesListLiErrorClass = "rules_list_error_li", t.rulesListLiAppliedClass = "rules_list_applied_li", t.filterContainerClass = "filter_container", t.filterListClass = "form-control input-sm filter_list", t.operatorsListContainerClass = "operators_list_container", t.operatorsListClass = "form-control input-sm operators_list", t.filterValueContainerClass = "filter_value_container", t.filterInputTextClass = "form-control input-sm filter_input_text", t.filterInputNumberClass = "form-control input-sm filter_input_number", t.filterInputDateClass = "form-control input-sm filter_input_date", t.filterInputCheckboxClass = "filter_input_checkbox", t.filterInputRadioClass = "form-control input-sm filter_input_radio", t.filterSelectClass = "form-control input-sm filter_select", t.filterGroupListClass = "filter_group_list", t.filterGroupListItemHorizontalClass = "filter_group_list_item_horizontal", t.filterGroupListItemVerticalClass = "filter_group_list_item_vertical", t.ruleToolsContainerClass = "rule_tools_container", t.ruleToolsClass = "form-control input-sm rule_tools_list", t.noFiltersFoundClass = "no_filters_found"), "2" == e && (t.bootstrap_version = "2", t.containerClass = "filter_rules_container", t.rulesGroupContainerClass = "rules_group_container", t.rulesGroupHeaderClass = "rules_group_header", t.rulesGroupBodyClass = "rules_group_body", t.rulesGroupConditionContainerClass = "rules_group_condition_container", t.rulesGroupConditionListClass = "form-control btn-small rules_group_condition_list", t.rulesGroupToolsContainerClass = "rules_group_tools_container", t.rulesGroupToolsListClass = "form-control btn-small rules_group_tools_list", t.rulesListClass = "rules_list", t.rulesListLiClass = "rules_list_li", t.rulesListLiErrorClass = "rules_list_error_li", t.rulesListLiAppliedClass = "rules_list_applied_li", t.filterContainerClass = "filter_container", t.filterListClass = "form-control btn-small filter_list", t.operatorsListContainerClass = "operators_list_container", t.operatorsListClass = "form-control btn-small operators_list", t.filterValueContainerClass = "filter_value_container", t.filterInputTextClass = "form-control btn-small filter_input_text", t.filterInputNumberClass = "form-control btn-small filter_input_number", t.filterInputDateClass = "form-control btn-small filter_input_date", t.filterInputCheckboxClass = "filter_input_checkbox", t.filterInputRadioClass = "form-control btn-small filter_input_radio", t.filterSelectClass = "form-control btn-small filter_select", t.filterGroupListClass = "filter_group_list", t.filterGroupListItemHorizontalClass = "filter_group_list_item_horizontal", t.filterGroupListItemVerticalClass = "filter_group_list_item_vertical", t.ruleToolsContainerClass = "rule_tools_container", t.ruleToolsClass = "form-control btn-small rule_tools_list", t.noFiltersFoundClass = "no_filters_found"), t}, getOption:function(e){var r = this; return r.data(t)[e]}, getAllOptions:function(){var e = this; return e.data(t)}, setOption:function(e, r, i){var l = this; l.data(t)[e] = r, i && l.jui_filter_rules("init")}, destroy:function(){return e(this).each(function(){var r = e(this); r.removeData(t)})}, getRules:function(t, r){var i, l, s, n, a, p, c, d, v, h, m, C, y, b = this, j = b.attr("id"), x = o(b.jui_filter_rules("getOption", "rule_li_id_prefix"), j) + "_", L = x.length; for (i = b.find("dl").eq(t), l = i.find("dt:first").find("select:first").val(), s = i.find("dd:first").find("ul:first").children().get(), n = s.length, a = 0; n > a; a++)if (p = s[a], c = {}, "LI" == p.tagName){if (0 == e(p).find("select:first").prop("selectedIndex"))continue; if (C = e(p).attr("id").substr(L), c.element_rule_id = e(p).attr("id"), c.condition = {}, d = e(p).find("select:first").val(), h = u(f(j, d)), v = e(p).find("select").eq(1).val(), c.condition.filterType = h.filterType, h.hasOwnProperty("numberType") && (c.condition.numberType = h.numberType), c.condition.field = h.field, c.condition.operator = v, m = O(j, C, h, v), m === !1)return!1; m.length > 0 && (c.condition.filterValue = m), "yes" == g(v).accept_values && h.hasOwnProperty("filter_value_conversion_server_side") && (c.filter_value_conversion_server_side = h.filter_value_conversion_server_side), c.logical_operator = l, r.push(c)} else"DL" == p.tagName && (c.condition = [], c.logical_operator = l, r.push(c), y = r.length - 1, t = parseInt(t) + 1, b.jui_filter_rules("getRules", t, r[y].condition), _(r)); return r}, markRuleAsApplied:function(t, r){var i = this, l = e("#" + t), s = i.jui_filter_rules("getOption", "rulesListLiAppliedClass"); r?l.addClass(s):l.removeClass(s)}, markRuleAsError:function(t, r){var i = this, l = e("#" + t), s = i.jui_filter_rules("getOption", "rulesListLiErrorClass"); r?l.addClass(s):l.removeClass(s)}, markRuleAsPending:function(t){var r = this, i = e("#" + t), l = r.jui_filter_rules("getOption", "rulesListLiErrorClass"), s = r.jui_filter_rules("getOption", "rulesListLiAppliedClass"); i.removeClass(l), i.removeClass(s)}, markAllRulesAsApplied:function(){var t = this, r = (t.jui_filter_rules("getOption", "rulesListLiErrorClass"), t.jui_filter_rules("getOption", "rulesListLiAppliedClass"), t.jui_filter_rules("getRules", 0, [])); r !== !1 && r.length > 0 && t.find("li").each(function(){e(this).find("select:first").prop("selectedIndex") > 0 && (t.jui_filter_rules("markRuleAsError", e(this).attr("id"), !1), t.jui_filter_rules("markRuleAsApplied", e(this).attr("id"), !0))})}, clearAllRules:function(){var e = this, t = e.attr("id"); l.setOption.call(e, "filter_rules", []), e.find("dl:first").html(""), e.data(r).group_id = 0, e.data(r).rule_id = 0, e.html(j(t))}, setRules:function(e){{var t = this; t.attr("id")}l.clearAllRules.call(t), l.setOption.call(t, "filter_rules", e), l.init.call(t), t.triggerHandler("onSetRules")}}, s = function(t){var r, i, l, s = e("#" + t), o = s.jui_filter_rules("getOption", "filters"), a = o.length, u = []; for (i = 0; a > i; i++)u.push(o[i].filterName); for (n(u) && (r = "Filternames are not unique...", s.html('<span style="color: red;">ERROR: ' + r + "</span>"), e.error(r)), i = 0; a > i; i++)o[i].hasOwnProperty("filter_interface") || (o[i].filter_interface = [{filter_element:"input", filter_element_attributes:{type:"text"}}]); for (i = 0; a > i; i++){var _ = o[i].filter_interface, p = _.length; for (l = 0; p > l; l++)_[l].hasOwnProperty("filter_element_attributes") || (_[l].filter_element_attributes = {})}}, o = function(e, t){return e + t}, n = function(e){var t, r = {}, i = e.length; for (t = 0; i > t; t++){if (r[e[t]] === !0)return!0; r[e[t]] = !0}return!1}, a = function(e){return e?jQuery("<div />").text(e).html():""}, u = function(e){var t, r = {}; for (t in e)e.hasOwnProperty(t) && "" !== e[t] && (r[t] = e[t]); return r}, _ = function(t){var r, i, l = t.length; for (r = 0; l > r; r++)i = t[r].condition, e.isArray(i) && (0 == i.length?t.splice(r, 1):_(i))}, p = function(e){return e.replace(/[-[\]{}()*+?.,\\^$|#\s]/g, "\\$&")}, f = function(t, r){var i, l = e("#" + t), s = l.jui_filter_rules("getOption", "filters"), o = s.length, n = void 0; for (i = 0; o > i; i++)if (s[i].filterName == r){n = s[i]; break}return n}, c = function(t, r){var i, l = e("#" + t), s = l.jui_filter_rules("getOption", "filters"), o = s.length, n = void 0; for (i = 0; o > i; i++)if (s[i].field == r){n = s[i]; break}return n}, d = function(t, r){var l, s, o, n, a, u = e("#" + t), _ = (u.jui_filter_rules("getOption", "filters"), i.length), p = []; for (l = f(t, r), s = l.filterType, o = void 0 === l.excluded_operators?[]:l.excluded_operators, n = 0; _ > n; n++)e.inArray(i[n].type, o) > - 1 || e.inArray(s, i[n].apply_to) > - 1 && (a = {}, a.operator_type = i[n].type, a.operator_label = rsc_jui_fr["operator_" + i[n].type], a.group = i[n].group, p.push(a)); return p}, g = function(e){var t, r = i.length, l = void 0; for (t = 0; r > t; t++)if (i[t].type == e){l = i[t]; break}return l}, v = function(t){var i, l = e("#" + t), s = l.jui_filter_rules("getOption", "rulesGroupConditionContainerClass"), n = l.jui_filter_rules("getOption", "rulesGroupConditionListClass"), a = ""; return i = o(l.jui_filter_rules("getOption", "group_condition_id_prefix"), t) + "_" + l.data(r).group_id, a += '<div class="' + s + '">', a += '<select id="' + i + '" class="' + n + '">', a += '<option value="AND">' + rsc_jui_fr.rules_group_AND + ":</option>", a += '<option value="OR">' + rsc_jui_fr.rules_group_OR + ":</option>", a += "</select>", a += "</div>"}, h = function(t){var i = e("#" + t), l = parseInt(i.data(r).rule_id), s = i.jui_filter_rules("getOption", "rulesGroupToolsContainerClass"), n = i.jui_filter_rules("getOption", "rulesGroupToolsListClass"), a = o(i.jui_filter_rules("getOption", "group_tools_id_prefix"), t) + "_" + l, u = 0 == l?' disabled="disabled"':"", _ = ""; return _ += '<div class="' + s + '">', _ += '<select id="' + a + '" class="' + n + '">', _ += '<option value="please_select">' + rsc_jui_fr.tools_please_select + "</option>", _ += '<optgroup label="' + rsc_jui_fr.rule + '">', _ += '<option value="rule_insert_before"' + u + ">" + rsc_jui_fr.rule_insert_before + "</option>", _ += '<option value="rule_insert_after"' + u + ">" + rsc_jui_fr.rule_insert_after + "</option>", _ += '<option value="rule_insert_inside">' + rsc_jui_fr.rule_insert_inside + "</option>", _ += "</optgroup>", _ += '<optgroup label="' + rsc_jui_fr.group + '">', _ += '<option value="group_insert_before"' + u + ">" + rsc_jui_fr.group_insert_before + "</option>", _ += '<option value="group_insert_after"' + u + ">" + rsc_jui_fr.group_insert_after + "</option>", _ += '<option value="group_insert_inside">' + rsc_jui_fr.group_insert_inside + "</option>", _ += '<option value="group_delete"' + u + ">" + rsc_jui_fr.group_delete + "</option>", _ += "</optgroup>", _ += "</select>", _ += "</div>"}, m = function(t){var i, l = e("#" + t), s = parseInt(l.data(r).rule_id), n = l.jui_filter_rules("getOption", "filters"), a = n.length, u = l.jui_filter_rules("getOption", "filterContainerClass"), _ = l.jui_filter_rules("getOption", "filterListClass"), p = o(l.jui_filter_rules("getOption", "filters_list_id_prefix"), t) + "_" + s, f = ""; for (f += '<div class="' + u + '">', f += '<select id="' + p + '" class="' + _ + '">', f += '<option value="no_filter">' + rsc_jui_fr.filter_please_select + "</option>", i = 0; a > i; i++)f += '<option value="' + n[i].filterName + '">' + n[i].filterLabel + "</option>"; return f += "</select>", f += "</div>"}, C = function(t, r, i){var l, s, n, a = e("#" + t), u = o(a.jui_filter_rules("getOption", "operators_container_id_prefix"), t) + "_" + r, _ = e("#" + u), p = a.jui_filter_rules("getOption", "operatorsListClass"), f = o(a.jui_filter_rules("getOption", "operators_list_id_prefix"), t) + "_", c = f + r, g = "", v = ""; for (l = d(t, i), n = l.length, g += '<select id="' + c + '" class="' + p + '">', s = 0; n > s; s++)l[s].group !== v && (g += '<optgroup label="&raquo;">', v = l[s].group), g += '<option value="' + l[s].operator_type + '">' + l[s].operator_label + "</option>", n - 1 > s && l[parseInt(s) + 1].group !== v && (g += "</optgroup>"); g += "</select>", _.html(g)}, y = function(t, r, i, l){function s(){for (m = 0; q > m; m++)if (C = V[m].filter_element, j = u(V[m].filter_element_attributes), "input" == C && (N = j.type), _(), "checkbox" == N || "radio" == N){for (v(), L = O.length, $ += '<ul class="' + z + '">', k = 0; L > k; k++)$ += '<li class="' + w + '">', $ += "<" + C, n(k), $ += ' id="' + y + '"', "radio" == N && (a(), $ += ' name="' + b + '"'), c(), $ += ' value="' + O[k].lk_value + '"', I = "yes" == O[k].lk_selected?' checked="checked"':"", $ += I, $ += ">", $ += '<label for="' + y + '">' + O[k].lk_option + "</label>", $ += "</li>"; $ += "</ul>"} else $ += "<" + C, n(m), $ += ' id="' + y + '"', c(), $ += ">", "select" == C && d(), "div" == C && ($ += "</div>"); return $}function n(e){y = o(G.jui_filter_rules("getOption", "filter_element_id_prefix"), t) + "_" + r + "_" + e}function a(){b = o(G.jui_filter_rules("getOption", "filter_element_name_prefix"), t) + "_" + r}function _(){"input" == C?"text" == N?H = ["id", "name"]:"radio" == N?H = ["id", "name", "value", "checked"]:"checkbox" == N && (H = ["id", "name", "value", "checked"]):"select" == C && (H = ["id", "name", "value"])}function p(){var e = ""; D = "", "input" == C?"text" == N?"text" == E?e = "filterInputTextClass":"number" == E?e = "filterInputNumberClass":"date" == E && (e = "filterInputDateClass"):"radio" == N?e = "filterInputRadioClass":"checkbox" == N && (e = "filterInputCheckboxClass"):"select" == C && (e = "filterSelectClass"), "" !== e && (D = G.jui_filter_rules("getOption", e))}function c(){for (x in j)if (j.hasOwnProperty(x)){if (e.inArray(x, H) > - 1)continue; $ += " " + x + '="' + j[x] + '"'}j.hasOwnProperty("class") || (p(), "" !== D && ($ += ' class="' + D + '"'))}function d(){for (L = O.length, k = 0; L > k; k++)I = "yes" == O[k].lk_selected?' selected="selected"':"", $ += '<option value="' + O[k].lk_value + '"' + I + ">" + O[k].lk_option + "</option>"; $ += "</select>"}function v(){F = "no", V[m].hasOwnProperty("vertical_orientation") && (F = V[m].vertical_orientation), w = "yes" == F?Q:B}function h(){if ("checkbox" == N || "radio" == N)return!0; for (m = 0; q > m; m++)if (V[m].hasOwnProperty("filter_widget")){y = o(G.jui_filter_rules("getOption", "filter_element_id_prefix"), t) + "_" + r + "_" + m; var i = e("#" + y), l = V[m].filter_widget, s = V[m].filter_widget_properties; "datepicker" == l && i.datepicker(s), "datetimepicker" == l && i.datetimepicker(s), "autocomplete" == l && i.autocomplete(s), "spinner" == l && i.spinner(s), "slider" == l && i.slider(s)}return!0}var m, C, y, b, j, x, O, L, k, I, w, G = e("#" + t), R = g(l), A = o(G.jui_filter_rules("getOption", "filter_value_container_id_prefix"), t) + "_" + r, P = e("#" + A), T = (G.jui_filter_rules("getOption", "filters"), u(f(t, i))), E = T.filterType, V = T.filter_interface, q = V.length, N = "", H = ["id", "name"], D = "", S = "", F = "no", z = G.jui_filter_rules("getOption", "filterGroupListClass"), B = G.jui_filter_rules("getOption", "filterGroupListItemHorizontalClass"), Q = G.jui_filter_rules("getOption", "filterGroupListItemVerticalClass"), $ = ""; return"yes" !== R.accept_values?(P.html(""), !0):(T.hasOwnProperty("lookup_values_ajax_url")?(S = T.lookup_values_ajax_url, e.ajax({url:S, async:!1, success:function(t){O = e.parseJSON(t), P.html(s()), h()}})):(T.hasOwnProperty("lookup_values") && (O = T.lookup_values), P.html(s()), h()), !0)}, b = function(t){var i = e("#" + t), l = parseInt(i.data(r).rule_id), s = i.jui_filter_rules("getOption", "ruleToolsContainerClass"), n = i.jui_filter_rules("getOption", "ruleToolsClass"), a = o(i.jui_filter_rules("getOption", "rule_tools_id_prefix"), t) + "_" + l, u = ""; return u += '<div class="' + s + '">', u += '<select id="' + a + '" class="' + n + '">', u += '<option value="please_select">' + rsc_jui_fr.tools_please_select + "</option>", u += '<optgroup label="' + rsc_jui_fr.rule + '">', u += '<option value="rule_insert_before">' + rsc_jui_fr.rule_insert_before + "</option>", u += '<option value="rule_insert_after">' + rsc_jui_fr.rule_insert_after + "</option>", u += '<option value="rule_clear">' + rsc_jui_fr.rule_clear + "</option>", u += '<option value="rule_delete">' + rsc_jui_fr.rule_delete + "</option>", u += "</optgroup>", u += '<optgroup label="' + rsc_jui_fr.group + '">', u += '<option value="group_insert_before">' + rsc_jui_fr.group_insert_before + "</option>", u += '<option value="group_insert_after">' + rsc_jui_fr.group_insert_after + "</option>", u += "</optgroup>", u += "</select>", u += "</div>"}, j = function(t){var i, l, s = e("#" + t), n = s.jui_filter_rules("getOption", "group_dl_id_prefix"), a = s.jui_filter_rules("getOption", "rulesGroupContainerClass"), u = s.jui_filter_rules("getOption", "rulesGroupHeaderClass"), _ = s.jui_filter_rules("getOption", "rulesGroupBodyClass"), p = s.jui_filter_rules("getOption", "rulesListClass"), f = ""; return l = parseInt(s.data(r).group_id) + 1, s.data(r).group_id = l, i = o(n, t) + "_" + l, f += '<dl id="' + i + '" class="' + a + '">', f += '<dt class="' + u + '">', f += v(t), f += h(t), f += "</dt>", f += '<dd class="' + _ + '">', f += '<ul class="' + p + '">', f += x(t), f += "</ul>", f += "</dd>", f += "</dl>"}, x = function(t){var i, l, s, n, a = e("#" + t), u = a.jui_filter_rules("getOption", "rulesListLiClass"), _ = a.jui_filter_rules("getOption", "operatorsListContainerClass"), p = a.jui_filter_rules("getOption", "filterValueContainerClass"), f = o(a.jui_filter_rules("getOption", "rule_li_id_prefix"), t) + "_", c = o(a.jui_filter_rules("getOption", "operators_container_id_prefix"), t) + "_", d = o(a.jui_filter_rules("getOption", "filter_value_container_id_prefix"), t) + "_", g = ""; return n = parseInt(a.data(r).rule_id) + 1, a.data(r).rule_id = n, l = c + n, s = d + n, i = f + n, g += '<li id="' + i + '" class="' + u + '">', g += m(t), g += '<div id="' + l + '" class="' + _ + '">', g += "</div>", g += '<div id="' + s + '" class="' + p + '">', g += "</div>", g += b(t), g += "</li>"}, O = function(t, r, i, l){function s(e){return o(R, t) + "_" + r + "_" + e}function n(){E.addClass(V), O.triggerHandler("onValidationError", {err_code:"filter_error_1", err_description:rsc_jui_fr.error_no_value_given, elem_filter:u()})}function u(){return"checkbox" == A || "radio" == A?(void 0 == C && (C = 0), S[C]):h}var _, f, c, d, v, h, m, C, y, b, j, x, O = e("#" + t), L = i.filterType, k = i.filter_interface, I = k.length, w = o(O.jui_filter_rules("getOption", "filter_value_container_id_prefix"), t) + "_" + r, G = e("#" + w), R = O.jui_filter_rules("getOption", "filter_element_id_prefix"), A = "", P = g(l), T = o(O.jui_filter_rules("getOption", "rule_li_id_prefix"), t) + "_" + r, E = e("#" + T), V = O.jui_filter_rules("getOption", "rulesListLiErrorClass"), q = O.jui_filter_rules("getOption", "decimal_separator"), N = new RegExp(p(q), "g"), H = O.jui_filter_rules("getOption", "htmlentities"), D = [], S = [], F = "", z = []; if (E.removeClass(V), "yes" !== P.accept_values)return D; for (_ = 0; I > _; _++)k[_].hasOwnProperty("returns_no_value") && "yes" == k[_].returns_no_value || (f = k[_].filter_element, d = k[_].filter_element_attributes, "input" == f && (A = d.type, "text" == A && (c = s(_), h = e("#" + c), D.push(h.val())), ("checkbox" == A || "radio" == A) && (v = e('[id^="' + o(R, t) + "_" + r + '_"]'), v.each(function(){e(this).is(":checked") && D.push(e(this).val()), S.push(e(this))}))), "select" == f && (c = s(_), h = e("#" + c), d.hasOwnProperty("multiple")?D = h.val():D.push(h.val()))); if (("checkbox" == A || "radio" == A) && 0 == e("input:checked", G).length)return n(), !1; for (m = D.length, C = 0; m > C; C++)if (0 == e.trim(D[C]).length)return n(), !1; if ("number" == L)for (m = D.length, C = 0; m > C; C++)if (D[C] = D[C].replace(N, "."), !e.isNumeric(D[C]))return E.addClass(V), O.triggerHandler("onValidationError", {err_code:"filter_error_2", err_description:rsc_jui_fr.error_invalid_number, elem_filter:u()}), !1; if ("date" == L && (m = D.length, i.hasOwnProperty("validate_dateformat")))for (C = 0; m > C; C++)if (0 == moment(D[C], i.validate_dateformat).isValid())return E.addClass(V), O.triggerHandler("onValidationError", {err_code:"filter_error_3", err_description:rsc_jui_fr.error_invalid_datetime, elem_filter:u()}), !1; if (i.hasOwnProperty("filter_value_conversion"))for (y = i.filter_value_conversion, F = y.function_name, b = y.args, j = b.length, m = D.length, C = 0; m > C; C++){for (z = [], x = 0; j > x; x++)b[x].hasOwnProperty("filter_value") && z.push(D[C]), b[x].hasOwnProperty("value") && z.push(b[x].value); try{D[C] = window[F].apply(null, z)} catch (B){return O.jui_filter_rules("markRuleAsError", E.attr("id"), !0), O.triggerHandler("onValidationError", {err_code:"filter_error_0", err_description:rsc_jui_fr.error_converting_value + ":\n\n" + B.message, elem_filter:u()}), !1}}if ("number" !== L && H)for (m = D.length, C = 0; m > C; C++)D[C] = a(D[C]); return D}, L = function(t, r, i){var l = t.length; r.find("dd:first ul:first li:first").remove(), r.find("dt:first select:first").val(t[0].logical_operator); for (var s = 0; l > s; s++){var o = t[s], n = o.condition.hasOwnProperty("filterValue")?o.condition.filterValue:null, a = o.hasOwnProperty("autocomplete_value")?o.autocomplete_value:!1, u = o.hasOwnProperty("slider_value")?o.slider_value:!1; if (e.isArray(o.condition))r.find("dd:first ul:first").append(j(i)), L(o.condition, r.find("dd:first ul:first dl:first"), i); else{r.find("dd:first ul:first").append(x(i)); var _ = r.find("dd:first ul:first li:last"); t[s].element_rule_id = _.attr("id"); var p = c(i, o.condition.field), f = p.filterName, d = p.filter_interface, v = d.length; _.find("select:first").val(f).trigger("change"), _.find("select").eq(1).val(o.condition.operator).trigger("change"); var h = g(o.condition.operator); if ("yes" !== h.accept_values)continue; for (var m = 0; v > m; m++){var C = d[m].hasOwnProperty("returns_no_value") && "yes" == d[m].returns_no_value?!0:!1; if (C)a && _.find("input.ui-autocomplete-input").val(a), u && _.find("div.ui-slider").slider("value", u); else{var y = d[m].filter_element, b = d[m].filter_element_attributes, O = b.hasOwnProperty("type")?b.type:null; if ("input" == y)if ("radio" == O)_.find('input[type=radio][value="' + n[0] + '"]').prop("checked", !0); else if ("checkbox" == O){_.find("input[type=checkbox]").prop("checked", !1); for (var k in n)_.find('input[type=checkbox][value="' + n[k] + '"]').prop("checked", !0)} else _.find("input").eq(0).val(n[0]); else"select" == y && _.find("select").eq(2).val(n[0])}}}}}; e.fn.jui_filter_rules = function(r){if (1 != this.size()){var i = "You must use this plugin (" + t + ") with a unique element (at once)"; this.html('<span style="color: red;">ERROR: ' + i + "</span>"), e.error(i)}return l[r]?l[r].apply(this, Array.prototype.slice.call(arguments, 1)):"object" != typeof r && r?void e.error("Method " + r + " does not exist on jQuery." + t):l.init.apply(this, arguments)}}(jQuery);
